<?php
if ( ! is_admin() ) { add_action( 'wp_print_scripts', 'woothemes_add_javascript' ); }

if ( ! function_exists( 'woothemes_add_javascript' ) ) {
	function woothemes_add_javascript() {
	global $woo_options;

		wp_enqueue_script( 'jquery' );
		wp_register_script( 'flexslider', get_template_directory_uri() . '/includes/js/jquery.flexslider-min.js', array( 'jquery' ) );
		wp_register_script( 'plugins', get_template_directory_uri() . '/includes/js/plugins.js', array( 'jquery' ), '1.0', true );
		wp_enqueue_script( 'script', get_template_directory_uri() . '/includes/js/script.js', array( 'jquery', 'plugins' ), '1.0', true );

		// Only load the slider on the homepage

		do_action( 'woothemes_add_javascript' );

		add_action( 'wp_head', 'html5_shim' );
		if ( ! function_exists( 'html5_shim' ) ) {
			function html5_shim() {
				?>
				<!--[if lt IE 9]>
					<script src="https://html5shim.googlecode.com/svn/trunk/html5.js"></script>
				<![endif]-->
				<?php
			} // End html5_shim()
		}

		if ( is_home() OR is_front_page() ){

			if ( isset( $woo_options['woo_slider'] ) && ( $woo_options['woo_slider'] == 'true' ) ) {
				wp_enqueue_script( 'flexslider' );
			}

			// Load the custom slider settings.

			$autoStart = false;
			$autoSpeed = 6;
			$slideSpeed = 0.5;
			$effect = 'slide';
			$nextprev = 'true';
			$pagination = 'true';
			$hoverpause = 'true';
			$autoheight = 'false';

			// Get our values from the database and, if they're there, override the above defaults.
			$fields = array(
							'autoStart' => 'auto',
							'autoSpeed' => 'interval',
							'slideSpeed' => 'speed',
							'effect' => 'effect',
							'nextprev' => 'nextprev',
							'pagination' => 'pagination',
							'hoverpause' => 'hover',
							'autoHeight' => 'autoheight'
							);

			foreach ( $fields as $k => $v ) {
				if ( is_array( $woo_options ) && isset( $woo_options['woo_slider_' . $v] ) && $woo_options['woo_slider_' . $v] != '' ) {
					${$k} = $woo_options['woo_slider_' . $v];
				}
			}

			// Set auto speed to 0 if we want to disable automatic sliding.
			if ( $autoStart == 'false' ) {
				$autoSpeed = 0;
			}

			$data = array(
						'speed' => $slideSpeed,
						'auto' => $autoSpeed,
						'effect' => $effect,
						'nextprev' => $nextprev,
						'pagination' => $pagination,
						'hoverpause' => $hoverpause,
						'autoheight' => true
						);

			wp_localize_script( 'general', 'woo_slider_settings', $data );
		}

	}
}

?>